<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : Carnot2FXML.xsl
    Created on : 17 february 2022, 14:29
    Author     : Stéphane Bergeon
    Description:
        Transformation from ExecutableRecipeElementONly to ExecutableRecipe
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                version="1.0">
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>

  
    <xsl:template match="/">
        <xsl:apply-templates select="node()"/>
        <xsl:apply-templates select="@*"/>
    </xsl:template>

    <xsl:template match="executable_recipe" priority="2">
        <xsl:copy>
            <xsl:attribute name="xsi:noNamespaceSchemaLocation">ExecutableRecipeElementOnly.xsd</xsl:attribute>    
            <xsl:apply-templates select="node()"/>
        </xsl:copy>  
    </xsl:template>
    
    <xsl:template match="node()">
        <xsl:copy>
            <xsl:apply-templates select="node()"/>
            <xsl:apply-templates select="@*"/>
        </xsl:copy>  
    </xsl:template>

    <xsl:template match="parameter | recipe" priority="2">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>  
    </xsl:template>

    <xsl:template match="outputs" priority="2">
        <outputs>
            <output_frames>
                <xsl:apply-templates select="output_frame"/>
            </output_frames>
            <extra_output_frames>
                <xsl:apply-templates select="extra_output_frame"/>
            </extra_output_frames>
            <xsl:apply-templates select="@*"/>
        </outputs>
    </xsl:template>

    <xsl:template match="@value" priority="2">
        <xsl:value-of select="."/>
    </xsl:template>

    <xsl:template match="include/@value" priority="2">
        <xsl:element name="value">
            <xsl:value-of select="."/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="@*">
        <xsl:element name="{name()}">
            <xsl:value-of select="."/>
        </xsl:element>
    </xsl:template>

</xsl:stylesheet>