
drop table if exists `workspace_group_shared_user`;

create table if not exists `workspace_group_shared_user` 
(
  `workspace_group_id` INT UNSIGNED NOT NULL,
  `shared_user_id` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`workspace_group_id`, `shared_user_id`),
  INDEX `fk_workspace_group_shared_user_user_idx` (`shared_user_id` ASC),
  INDEX `fk_workspace_group_shared_user_workspace_group_idx` (`workspace_group_id` ASC),
  CONSTRAINT `fk_workspace_group_shared_user_workspace_group`
    FOREIGN KEY (`workspace_group_id`)
    REFERENCES `workspace_group` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_workspace_group_shared_user_user`
    FOREIGN KEY (`shared_user_id`)
    REFERENCES `user` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
);
-- share default group to dev users
INSERT INTO `workspace_group_shared_user` (`workspace_group_id`, `shared_user_id`)
  SELECT 1, `id` from `user` where `role`='dev';

-- add test users in test groups
-- INSERT INTO `workspace_group_shared_user` (`workspace_group_id`, `shared_user_id`)
--   values (2, 152), (2,153), (2, 154), (2,155),
--          (3, 152), (3,153), (3, 154), (3,155),
--          (4, 152), (4,153), (4, 154), (4,155);

describe `workspace_group_shared_user`;
SELECT * FROM `workspace_group_shared_user` LIMIT 100;