alter table `workspace_group_shared_user` drop foreign key `fk_workspace_group_shared_user_workspace_group`;
alter table `workspace_group_workspace` drop foreign key `fk_workspace_group_workspace_workspace_group`;
-- alter table `workspace_group` drop foreign key `fk_workspace_group_top_parent`;
alter table `workspace_group` drop foreign key `fk_workspace_group_parent`;
alter table `workspace_group` drop foreign key `fk_workspace_group_user`;
drop table if exists `workspace_group`;

create table if not exists `workspace_group` 
(
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `author_id` INT UNSIGNED NOT NULL,
  `name` VARCHAR(255) NOT NULL,
  `creation_date` TIMESTAMP NOT NULL,
--   `top_parent_id` INT UNSIGNED NULL,
  `parent_id` INT UNSIGNED NULL,
  `auto_import` boolean NOT NULL DEFAULT false,
  `is_public` boolean NOT NULL DEFAULT false,
  `comments` TEXT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_workspace_group_author_idx` (`author_id` ASC),
  INDEX `fk_workspace_group_parent_idx` (`parent_id` ASC),
--   INDEX `fk_workspace_group_top_parent_idx` (`top_parent_id` ASC),
  UNIQUE INDEX `uq_workspace_group_user_id_name` (`author_id` ASC, `name` ASC),
  CONSTRAINT `fk_workspace_group_author`
    FOREIGN KEY (`author_id`)
    REFERENCES `user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_workspace_group_parent`
    FOREIGN KEY (`parent_id`)
    REFERENCES `workspace_group` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
--   CONSTRAINT `fk_workspace_group_top_parent`
--     FOREIGN KEY (`top_parent_id`)
--     REFERENCES `workspace_group` (`id`)
--     ON DELETE NO ACTION
--     ON UPDATE NO ACTION
);
-- INSERT INTO `workspace_group` (`author_id`, `name`, `creation_date`, `top_parent_id`, `parent_id`, `auto_import`, `is_public`, `comments`) 
-- 	VALUES (150, 'default', DEFAULT, NULL, NULL, DEFAULT, DEFAULT,'default workspace group')
--         , (150, 'test root', DEFAULT, NULL, NULL, DEFAULT, DEFAULT,'test root workspace group')
--         , (150, 'test 1', DEFAULT, 2, 2, DEFAULT, DEFAULT,'test 1 workspace group')
--         , (150, 'test 2', DEFAULT, 2, 2, DEFAULT, DEFAULT,'test 2 workspace group');
INSERT INTO `workspace_group` (`author_id`, `name`, `creation_date`, `parent_id`, `auto_import`, `is_public`, `comments`) 
	VALUES (150, 'default', DEFAULT, NULL, DEFAULT, DEFAULT,'default workspace group');
describe `workspace_group`;
SELECT * FROM `workspace_group` LIMIT 100;