-- select s.identifier, s.simbad_main_identifier from main_star s;

drop table if exists temp_main_star_count;

drop table if exists temp_main_star_count_file;
create temporary table temp_main_star_count_file 
select s.id, s.identifier, s.simbad_main_identifier, count(ac.file_id) as file_occurrence from main_star s 
join attribute_cache ac on ac.target=s.identifier
where ac.coord_RA is not null and ac.coord_DEC is not null
group by s.id
order by file_occurrence desc;

select * from temp_main_star_count_file;

drop table if exists temp_main_star_count_process;
create temporary table temp_main_star_count_process 
select s.id, s.identifier, s.simbad_main_identifier, count(distinct ac.parent_process_id) as process_occurrence from main_star s 
join attribute_cache ac on ac.target=s.identifier
where ac.coord_RA is not null and ac.coord_DEC is not null
group by s.id
order by process_occurrence desc;

select * from temp_main_star_count_process;

-- insert into temp_main_star_count (id, identifier, simbad_main_identifier)
-- select id, identifier, simbad_main_identifier from main_star;

update main_star msc
inner join temp_main_star_count_file mscf
on (
    msc.id = mscf.id
)
set 
msc.file_occurrence = mscf.file_occurrence
;

update main_star msc
inner join temp_main_star_count_process mscp
on (
    msc.id = mscp.id
)
set 
msc.process_occurrence = mscp.process_occurrence
;

select * from main_star;