drop table if exists `recipe_workspace`;

-- create table if not exists `recipe_workspace` 
-- (
--   `id` INT UNSIGNED NOT NULL,
--    FOREIGN KEY (`id`) REFERENCES `workspace` (`id`)
-- );

create table if not exists `recipe_workspace` 
(
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `author_id` INT UNSIGNED NOT NULL,
  `name` VARCHAR(255) NOT NULL,
  `creation_date` TIMESTAMP NOT NULL,
  `is_public` boolean NOT NULL DEFAULT false,
  `comments` TEXT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_recipe_workspace_author_idx` (`author_id` ASC),
  UNIQUE INDEX `uq_recipe_workspace_user_id_name` (`author_id` ASC, `name` ASC),
  CONSTRAINT `fk_recipe_workspace_author`
    FOREIGN KEY (`author_id`)
    REFERENCES `user` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
);

-- create default recipe workspace
INSERT INTO `recipe_workspace` (`id`, `author_id`, `name`, `comments`) 
values (1, 1, 'default', 'default recipe workspace');

describe `recipe_workspace`;
SELECT * FROM `recipe_workspace` LIMIT 100;