
drop table if exists `workspace_recipe_shared_user`;

create table if not exists `workspace_recipe_shared_user` 
(
  `workspace_recipe_id` INT UNSIGNED NOT NULL,
  `shared_user_id` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`workspace_recipe_id`, `shared_user_id`),
  INDEX `fk_workspace_recipe_shared_user_user_idx` (`shared_user_id` ASC),
  INDEX `fk_workspace_recipe_shared_user_workspace_recipe_idx` (`workspace_recipe_id` ASC),
  CONSTRAINT `fk_workspace_recipe_shared_user_workspace_recipe`
    FOREIGN KEY (`workspace_recipe_id`)
    REFERENCES `workspace_recipe` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_workspace_recipe_shared_user_user`
    FOREIGN KEY (`shared_user_id`)
    REFERENCES `user` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
);
-- share default recipe workspace to dev users
INSERT INTO `workspace_recipe_shared_user` (`workspace_recipe_id`, `shared_user_id`)
  SELECT 1, `id` from `user` where `role`='dev';

describe `workspace_group_shared_user`;
SELECT * FROM `workspace_group_shared_user` LIMIT 100;